Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libogg
Version:	1.2.0
Release:	1
License:	GNU/GPL
URL:		http://www.xiph.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Ogg bitstream and framing library.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libogg is the bitstream and framing library for the Ogg project.
It provides functions which are necessary to codec libraries like libvorbis.
For more details see: http://www.xiph.org

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libogg.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ogg/config_types.h
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_libdir}/libogg.a
%{_libdir}/libogg.la
%{_libdir}/libogg.so
%{_pkgconfig}/ogg.pc
%{_aclocal}/ogg.m4
%{_docdir}/libogg-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Wed Sep 30 2009 Christian Wasem <metzench@ccux-linux.de> 1.1.4-1
- Version update
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.3-1
- Version update, cleaned files list
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-2
- rebuild for source rpm
